Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - o -

- obj : faiss::Clustering
- offsets : faiss::HNSW
- OnDiskInvertedLists() : faiss::OnDiskInvertedLists
- operator()() : faiss::HNSW::DistanceComputer
- operator=() : faiss::gpu::DeviceTensor< T, Dim, InnerContig, IndexT, PtrTraits > , faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- operator[]() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits >
- OPQMatrix() : faiss::OPQMatrix
- optimal_pts : faiss::OperatingPoints
- Optimization_type_t : faiss::PolysemousTraining
- optimize_pq_for_hamming() : faiss::PolysemousTraining
- optimize_ranking() : faiss::PolysemousTraining
- optimize_reproduce_distances() : faiss::PolysemousTraining
- OT_Ranking_weighted_diff : faiss::PolysemousTraining
- OT_ReproduceDistances_affine : faiss::PolysemousTraining
- own_fields : faiss::IndexBinaryIVF , faiss::IndexBinaryFromFloat , faiss::IndexRefineFlat , faiss::Level1Quantizer , faiss::IndexIDMap , faiss::IndexPreTransform